Grading
A: Update entity grading config
AuthorizationBearer <token>
In: header
Path Parameters
entity_typestring
The entity type identifier
entity_idstring
The entity id identifier
Format
uuidQuery Parameters
entity_type?string
Entity type (values: course, quiz)
Default
nullValue in
"course" | "quiz"entity_id?string
Entity ID
Default
nullFormat
uuidassessment_weightsobject
credit_hoursinteger
Default
4Response Body
curl -X PUT "https://edushade.com/api/v1/admin/learning/entities/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/grading-config?entity_type=course" \
-H "Content-Type: application/json" \
-d '{
"assessment_weights": {
"assignments": 25,
"final": 50,
"midterm": 25
},
"credit_hours": 4
}'{}Empty
Empty
Empty